Index: branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs	(revision 363)
+++ branches/src/DataCheckExcute/DataCheckExcute/Common/Process/ClsSystemOnceExecute.cs	(revision 364)
@@ -293,6 +293,8 @@
         /// </summary>
         private bool MakeSecretaryMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
+                                        IOMessageBrowsingHistory mbhDB,
+                                        IORecordKey RecDB,
                                         IOConstructionBaseInfoDetail cbiDB,
                                         MaterialRecordInfo wrkRec, TermMaster CheckRec, DateTime CriteriaDate)
         {
@@ -360,7 +362,7 @@
                 WriteData.MessageFlag = (int)MessageBoardData.MessageFlgDef.Secretary;
 
                 // 掲示板へメッセージを載せる
-                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, WriteData, WriteDetail)) return false;
+                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, mbhDB, RecDB, WriteData, WriteDetail)) return false;
 
                 return true;
             }
@@ -383,6 +385,8 @@
             IOConstructionBaseInfoDetail cbiDDB = new IOConstructionBaseInfoDetail();
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory mbhDB = new IOMessageBrowsingHistory();
+            IORecordKey RecDB = new IORecordKey();
 
             StringBuilder strSQL = new StringBuilder();
 
@@ -392,6 +396,8 @@
                 cbiDDB.connect(); cbiDDB.beginTran();
                 mbdDB.connect(); mbdDB.beginTran();
                 mbtDB.connect(); mbtDB.beginTran();
+                mbhDB.connect(); mbhDB.beginTran();
+                RecDB.connect(); RecDB.beginTran();
 
                 bool procflg = true;
 
@@ -414,7 +420,7 @@
                         MaterualStatusCheck(wrkRec, ref term);
 
                         // メッセージ作成 掲示板にメッセージを載せる処理
-                        if (!MakeSecretaryMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, term, StartDate))
+                        if (!MakeSecretaryMassageData(mbdDB, mbtDB, mbhDB, RecDB, cbiDDB, wrkRec, term, StartDate))
                         {
                             procflg = false;
                             break;
@@ -427,6 +433,8 @@
                         cbiDDB.commit();
                         mbdDB.commit();
                         mbtDB.commit();
+                        mbhDB.commit();
+                        RecDB.commit();
                     }
                     else
                     {
@@ -434,6 +442,8 @@
                         cbiDDB.rollback();
                         mbdDB.rollback();
                         mbtDB.rollback();
+                        mbhDB.rollback();
+                        RecDB.rollback();
                     }
 
                     return procflg;
@@ -450,6 +460,8 @@
                 cbiDDB.close(); cbiDDB = null;
                 mbdDB.close(); mbdDB = null;
                 mbtDB.close(); mbtDB = null;
+                mbhDB.close(); mbhDB = null;
+                RecDB.close(); RecDB = null;
             }
             return true;
         }
@@ -512,6 +524,8 @@
             IOConstructionBaseInfoDetail cbiDDB = new IOConstructionBaseInfoDetail();
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory mbhDB = new IOMessageBrowsingHistory();
+            IORecordKey RecDB = new IORecordKey();
             try
             {
                 // チェック項目取得
@@ -544,6 +558,8 @@
                 cbiDDB.connect(); cbiDDB.beginTran();
                 mbdDB.connect(); mbdDB.beginTran();
                 mbtDB.connect(); mbtDB.beginTran();
+                mbhDB.connect(); mbhDB.beginTran();
+                RecDB.connect(); RecDB.beginTran();
 
                 bool procflg = true;
                 ConstructionBaseInfo wrkBaseRec = new ConstructionBaseInfo();
@@ -583,7 +599,7 @@
                         foreach (TermMaster CurTerm in term)
                         {
                             // メッセージ作成
-                            if (!MakeMassageData(mbdDB, mbtDB, cbiDDB, wrkBaseRec, CurTerm, CriteriaDate))
+                            if (!MakeMassageData(mbdDB, mbtDB, mbhDB, RecDB, cbiDDB, wrkBaseRec, CurTerm, CriteriaDate))
                             {   // エラー時に抜ける
                                 procflg = false;
                                 break;
@@ -600,6 +616,8 @@
                     cbiDDB.rollback();
                     mbdDB.rollback();
                     mbtDB.rollback();
+                    mbhDB.rollback();
+                    RecDB.rollback();
                 }
 
                 return procflg;
@@ -615,11 +633,15 @@
                 cbiDDB.commit();
                 mbdDB.commit();
                 mbtDB.commit();
+                mbhDB.commit();
+                RecDB.commit();
 
                 cbiDB.close(); cbiDB = null;
                 cbiDDB.close(); cbiDDB = null;
                 mbdDB.close(); mbdDB = null;
                 mbtDB.close(); mbtDB = null;
+                mbhDB.close(); mbhDB = null;
+                RecDB.close(); RecDB = null;
             }
         }
         #endregion
@@ -817,6 +839,8 @@
         /// </summary>
         private bool MakeMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
+                                        IOMessageBrowsingHistory mbhDB,
+                                        IORecordKey RecDB,
                                         IOConstructionBaseInfoDetail cbiDB,
                                         ConstructionBaseInfo wrkRec, TermMaster CheckRec, DateTime CriteriaDate)
         {
@@ -893,7 +917,7 @@
                 WriteData.MessageFlag = (int)MessageBoardData.MessageFlgDef.Secretary;
 
                 // 掲示板へメッセージを載せる
-                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, WriteData, WriteDetail)) return false;
+                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, mbhDB, RecDB, WriteData, WriteDetail)) return false;
 
                 return true;
             }
Index: branches/src/DataCheckExcute/DataCheckExcute/DataCheckExcute.csproj
===================================================================
--- branches/src/DataCheckExcute/DataCheckExcute/DataCheckExcute.csproj	(revision 363)
+++ branches/src/DataCheckExcute/DataCheckExcute/DataCheckExcute.csproj	(revision 364)
@@ -349,6 +349,9 @@
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DataModel\PurchaseOrderDetail.cs">
       <Link>DataModel\PurchaseOrderDetail.cs</Link>
     </Compile>
+    <Compile Include="..\..\ProcessManagement\ProcessManagement\DataModel\RecordKey.cs">
+      <Link>DataModel\RecordKey.cs</Link>
+    </Compile>
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DataModel\RequestData.cs">
       <Link>DataModel\RequestData.cs</Link>
     </Compile>
@@ -718,6 +721,9 @@
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IOPurchaseOrderDetail.cs">
       <Link>DB\IOAccess\IOPurchaseOrderDetail.cs</Link>
     </Compile>
+    <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IORecordKey.cs">
+      <Link>DB\IOAccess\IORecordKey.cs</Link>
+    </Compile>
     <Compile Include="..\..\ProcessManagement\ProcessManagement\DB\IOAccess\IORequestData.cs">
       <Link>DB\IOAccess\IORequestData.cs</Link>
     </Compile>
Index: branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Common/CommonVersion.cs	(revision 364)
@@ -14,7 +14,7 @@
         /// <summary>
         /// 本体バージョン
         /// </summary>
-        public static int s_SystemVersion = 216;
+        public static int s_SystemVersion = 217;
 
         /// <summary>
         /// コピー・環境バージョン
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsMessageBoradAccess.cs	(revision 364)
@@ -36,22 +36,29 @@
         /// <returns></returns>
         public static bool CreateMessage(MessageBoardData WriteData, List<MessageBoardTerget> WriteDetail)
         {
-            IOMessageBoardData mbdDB = new IOMessageBoardData();
-            IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBoardData DataDB = new IOMessageBoardData();
+            IOMessageBoardTerget TergetDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory HistoryDB = new IOMessageBrowsingHistory();
+            IORecordKey RecordDB = new IORecordKey();
             try
             {
-                mbdDB.connect(); mbdDB.beginTran();
-                mbtDB.connect(); mbtDB.beginTran();
+                DataDB.connect(); DataDB.beginTran();
+                TergetDB.connect(); TergetDB.beginTran();
+                HistoryDB.connect(); HistoryDB.beginTran();
+                RecordDB.connect(); RecordDB.beginTran();
 
                 // キーコードセット
-                WriteData.RecordNumber = mbdDB.SelectMaxMessageBoardDataKeyCount("", false) + 1;
+                WriteData.RecordNumber = IOMessageBoardData.GetNewRecordNumber(DataDB, TergetDB, HistoryDB, RecordDB
+                                                                        , (int)RecordKey.KeyNoDef.MessageKey, false);
 
                 // データ登録
-                if (!mbdDB.OneRecInsertAction(WriteData, false))
+                if (!DataDB.OneRecInsertAction(WriteData, false))
                 {
                     logger.ErrorFormat("掲示板メッセージ：登録に失敗しました。");
-                    mbdDB.rollback();
-                    mbtDB.rollback();
+                    DataDB.rollback();
+                    TergetDB.rollback();
+                    HistoryDB.rollback();
+                    RecordDB.rollback();
                     return false;
                 }
 
@@ -63,16 +70,20 @@
                     wrk.SeqNum = icnt++;
                 }
                 // データ登録
-                if (!mbtDB.InsertAction(WriteDetail, false))
+                if (!TergetDB.InsertAction(WriteDetail, false))
                 {
                     logger.ErrorFormat("掲示板対象者テーブル：登録に失敗しました。");
-                    mbdDB.rollback();
-                    mbtDB.rollback();
+                    DataDB.rollback();
+                    TergetDB.rollback();
+                    HistoryDB.rollback();
+                    RecordDB.rollback();
                     return false;
                 }
 
-                mbdDB.commit();
-                mbtDB.commit();
+                DataDB.commit();
+                TergetDB.commit();
+                HistoryDB.commit();
+                RecordDB.commit();
 
                 return true;
             }
@@ -83,8 +94,10 @@
             }
             finally
             {
-                mbdDB.close(); mbdDB = null;
-                mbtDB.close(); mbtDB = null;
+                DataDB.close(); DataDB = null;
+                TergetDB.close(); TergetDB = null;
+                HistoryDB.close(); HistoryDB = null;
+                RecordDB.close(); RecordDB = null;
             }
         }
         #endregion
@@ -94,20 +107,19 @@
         /// 掲示板データ登録(一括処理用)
         /// </summary>
         /// <returns></returns>
-        public static bool CreateMessage(IOMessageBoardData mbdDB, IOMessageBoardTerget mbtDB, MessageBoardData WriteData, List<MessageBoardTerget> WriteDetail)
+        public static bool CreateMessage(IOMessageBoardData mbdDB,
+                                        IOMessageBoardTerget mbtDB,
+                                        IOMessageBrowsingHistory HistroyDB,
+                                        IORecordKey RecordDB,
+                                        MessageBoardData WriteData,
+                                        List<MessageBoardTerget> WriteDetail)
         {
-            DBCommonMotions dbCom = new DBCommonMotions();
             try
             {
                 // キーコードセット
-                WriteData.RecordNumber = mbdDB.SelectMaxMessageBoardDataKeyCount("", false) + 1;
+                WriteData.RecordNumber = IOMessageBoardData.GetNewRecordNumber(mbdDB, mbtDB, HistroyDB, RecordDB,
+                                                                                (int)RecordKey.KeyNoDef.MessageKey, false);
 
-                dbCom.connect();
-                // 最大桁数をこえたら1に戻す
-                int DataLen = dbCom.GetTableColumnLength("MessageBoardData", "RecordNumber", false);
-                int DataMax = CommonMotions.CreateMaxNumeric(DataLen);
-                if (WriteData.RecordNumber >= DataMax) WriteData.RecordNumber = 1;
-
                 // データ登録
                 if (!mbdDB.OneRecInsertAction(WriteData, false))
                 {
@@ -136,10 +148,6 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-            finally
-            {
-                dbCom.close(); dbCom = null;
-            }
         }
         #endregion
 
Index: branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/Common/Process/ClsSystemOnceExecute.cs	(revision 364)
@@ -302,6 +302,8 @@
         /// </summary>
         private bool MakeSecretaryMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
+                                        IOMessageBrowsingHistory mbhDB ,
+                                        IORecordKey RecDB,
                                         IOConstructionBaseInfoDetail cbiDB,
                                         MaterialRecordInfo wrkRec, TermMaster CheckRec, DateTime CriteriaDate)
         {
@@ -369,7 +371,7 @@
                 WriteData.MessageFlag = (int)MessageBoardData.MessageFlgDef.Secretary;
 
                 // 掲示板へメッセージを載せる
-                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, WriteData, WriteDetail)) return false;
+                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, mbhDB, RecDB, WriteData, WriteDetail)) return false;
 
                 return true;
             }
@@ -392,6 +394,8 @@
             IOConstructionBaseInfoDetail cbiDDB = new IOConstructionBaseInfoDetail();
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory mbhDB = new IOMessageBrowsingHistory();
+            IORecordKey RecDB = new IORecordKey();
 
             StringBuilder strSQL = new StringBuilder();
 
@@ -401,6 +405,8 @@
                 cbiDDB.connect(); cbiDDB.beginTran();
                 mbdDB.connect(); mbdDB.beginTran();
                 mbtDB.connect(); mbtDB.beginTran();
+                mbhDB.connect(); mbhDB.beginTran();
+                RecDB.connect(); RecDB.beginTran();
 
                 bool procflg = true;
 
@@ -423,7 +429,7 @@
                         MaterualStatusCheck(wrkRec, ref term);
 
                         // メッセージ作成 掲示板にメッセージを載せる処理
-                        if (!MakeSecretaryMassageData(mbdDB, mbtDB, cbiDDB, wrkRec, term, StartDate))
+                        if (!MakeSecretaryMassageData(mbdDB, mbtDB, mbhDB, RecDB, cbiDDB, wrkRec, term, StartDate))
                         {
                             procflg = false;
                             break;
@@ -436,6 +442,8 @@
                         cbiDDB.commit();
                         mbdDB.commit();
                         mbtDB.commit();
+                        mbhDB.commit();
+                        RecDB.commit();
                     }
                     else
                     {
@@ -443,6 +451,8 @@
                         cbiDDB.rollback();
                         mbdDB.rollback();
                         mbtDB.rollback();
+                        mbhDB.rollback();
+                        RecDB.rollback();
                     }
 
                     return procflg;
@@ -459,6 +469,8 @@
                 cbiDDB.close(); cbiDDB = null;
                 mbdDB.close(); mbdDB = null;
                 mbtDB.close(); mbtDB = null;
+                mbhDB.close(); mbhDB = null;
+                RecDB.close(); RecDB = null;
             }
             return true;
         }
@@ -521,6 +533,8 @@
             IOConstructionBaseInfoDetail cbiDDB = new IOConstructionBaseInfoDetail();
             IOMessageBoardData mbdDB = new IOMessageBoardData();
             IOMessageBoardTerget mbtDB = new IOMessageBoardTerget();
+            IOMessageBrowsingHistory mbhDB = new IOMessageBrowsingHistory();
+            IORecordKey RecDB = new IORecordKey();
             try
             {
                 // マスタ取得エラーは処理しない
@@ -553,6 +567,8 @@
                 cbiDDB.connect(); cbiDDB.beginTran();
                 mbdDB.connect(); mbdDB.beginTran();
                 mbtDB.connect(); mbtDB.beginTran();
+                mbhDB.connect(); mbhDB.beginTran();
+                RecDB.connect(); RecDB.beginTran();
 
                 bool procflg = true;
                 ConstructionBaseInfo wrkBaseRec = new ConstructionBaseInfo();
@@ -592,7 +608,7 @@
                         foreach (TermMaster CurTerm in term)
                         {
                             // メッセージ作成
-                            if (!MakeMassageData(mbdDB, mbtDB, cbiDDB, wrkBaseRec, CurTerm, CriteriaDate))
+                            if (!MakeMassageData(mbdDB, mbtDB, mbhDB, RecDB, cbiDDB, wrkBaseRec, CurTerm, CriteriaDate))
                             {   // エラー時に抜ける
                                 procflg = false;
                                 break;
@@ -609,6 +625,8 @@
                     cbiDDB.rollback();
                     mbdDB.rollback();
                     mbtDB.rollback();
+                    mbhDB.rollback();
+                    RecDB.rollback();
                 }
 
                 return procflg;
@@ -624,11 +642,15 @@
                 cbiDDB.commit();
                 mbdDB.commit();
                 mbtDB.commit();
+                mbhDB.commit();
+                RecDB.commit();
 
                 cbiDB.close(); cbiDB = null;
                 cbiDDB.close(); cbiDDB = null;
                 mbdDB.close(); mbdDB = null;
                 mbtDB.close(); mbtDB = null;
+                mbhDB.close(); mbhDB = null;
+                RecDB.close(); RecDB = null;
             }
         }
         #endregion
@@ -826,6 +848,8 @@
         /// </summary>
         private bool MakeMassageData(IOMessageBoardData mbdDB,
                                         IOMessageBoardTerget mbtDB,
+                                        IOMessageBrowsingHistory mbhDB,
+                                        IORecordKey RecDB,
                                         IOConstructionBaseInfoDetail cbiDB,
                                         ConstructionBaseInfo wrkRec, TermMaster CheckRec, DateTime CriteriaDate)
         {
@@ -902,7 +926,7 @@
                 WriteData.MessageFlag = (int)MessageBoardData.MessageFlgDef.Secretary;
 
                 // 掲示板へメッセージを載せる
-                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, WriteData, WriteDetail)) return false;
+                if (!ClsMessageBoradAccess.CreateMessage(mbdDB, mbtDB, mbhDB, RecDB, WriteData, WriteDetail)) return false;
 
                 return true;
             }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardData.cs	(revision 364)
@@ -481,38 +481,55 @@
         /// <summary>
         /// レコード番号の最大値を取得する
         /// </summary>
-        /// <param name="AddSQLString"></param>
-        /// <param name="bConnect"></param>
-        /// <returns></returns>
-        public int SelectMaxMessageBoardDataKeyCount(string AddSQLString, bool bConnect = true)
+        public static int GetNewRecordNumber(IOMessageBoardData DataDB,
+                                            IOMessageBoardTerget TergetDB,
+                                            IOMessageBrowsingHistory HistroyDB,
+                                            IORecordKey RecordDB,
+                                            int nKeyNo, bool bConnect = true)
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();
-            ArrayList arData = new ArrayList();
-            int iRet = 0;
             try
             {
-                // SQL作成
-                strcmd.AppendFormat("SELECT IFNULL(MAX(RecordNumber), 0) FROM MessageBoardData{0}", AddSQLString);
+                // 最大レコード番号取得
+                strcmd.Append("Select (IFNULL(RecordNumber, 0) + 1) As RecNo");
+                strcmd.Append(" From Recordkey");
+                strcmd.AppendFormat(" Where KeyNo = {0}", nKeyNo);
+                ArrayList arData = new ArrayList();
+                if (!RecordDB.ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return 0;
 
-                // SQL実行
-                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
+                // レコード番号取得
+                object[] objwrk = (object[])arData[0];
+                int nRecNo = CommonMotions.cnvInt(objwrk[0]);
+                // MAXを越えれば1にする
+                if (nRecNo > RecordKey.MaxRecCountDef[nKeyNo]) nRecNo = 1;
 
-                // データセット
-                foreach (object[] objwrk in arData)
-                {
-                    if (objwrk[0].ToString().Equals(""))
-                        iRet = 0;
-                    else
-                        iRet = int.Parse(objwrk[0].ToString());
-                }
+                // 番号更新
+                strcmd.Clear();
+                strcmd.Append("UPDATE Recordkey");
+                strcmd.AppendFormat(" Set RecordNumber = {0}", nRecNo);
+                strcmd.AppendFormat(" Where KeyNo = {0}", nKeyNo);
+                if (!RecordDB.ExecuteNonQuery(strcmd.ToString(), bConnect)) return 0;
+
+                // データ存在確認
+                strcmd.Clear();
+                strcmd.Append("Select * From MessageBoardData");
+                strcmd.AppendFormat(" Where RecordNumber = {0}", nRecNo);
+                arData.Clear();
+                if (!DataDB.ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return 0;
+                // 無ければそのまま
+                if (arData.Count < 1) return nRecNo;
+
+                // あれば削除する
+                DelAllMessageData(DataDB, TergetDB, HistroyDB, nRecNo, bConnect);
+
+                return nRecNo;
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
+                return 0;
             }
-
-            return iRet;
         }
         #endregion
 
@@ -523,7 +540,7 @@
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public int SelectMaxMessageBoardDataBranchKeyCount(int RecordNumber, bool bConnect = true)
+        public int GetMaxBranchNumber(int RecordNumber, bool bConnect = true)
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();
@@ -555,5 +572,31 @@
             return iRet;
         }
         #endregion
+
+        #region メッセージデータ一括削除
+        /// <summary>
+        /// メッセージデータ一括削除
+        /// </summary>
+        /// <returns></returns>
+        public static void DelAllMessageData(IOMessageBoardData DataDB,
+                                            IOMessageBoardTerget TergetDB,
+                                            IOMessageBrowsingHistory HistoryDB
+                                            , int KeyNumber, bool bConnect)
+        {
+            try
+            {
+                StringBuilder strcmd = new StringBuilder();
+                strcmd.AppendFormat(" Where RecordNumber = {0}", KeyNumber);
+
+                DataDB.DeleteAction(strcmd.ToString(), bConnect);
+                TergetDB.DeleteAction(strcmd.ToString(), bConnect);
+                HistoryDB.DeleteAction(strcmd.ToString(), bConnect);
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(2), ex.Message);
+            }
+        }
+        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBoardDataTerget.cs	(revision 364)
@@ -419,7 +419,7 @@
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public int SelectMaxMessageBoardTergetKeyCount(string AddSQLString, bool bConnect = true)
+        public int GetMaxRecordNumber(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();
@@ -450,84 +450,5 @@
             return iRet;
         }
         #endregion
-
-        #region 最大値を取得する(BranchNumber)
-        /// <summary>
-        /// 最大値を取得する(BranchNumber)
-        /// </summary>
-        /// <param name="AddSQLString"></param>
-        /// <param name="bConnect"></param>
-        /// <returns></returns>
-        public int SelectMaxMessageBoardTergetBranchKeyCount(int RecordNumber, bool bConnect = true)
-        {
-            // インターフェース
-            StringBuilder strcmd = new StringBuilder();
-            ArrayList arData = new ArrayList();
-            int iRet = 0;
-            try
-            {
-                // SQL作成
-                strcmd.Append("SELECT IFNULL(MAX(BranchNumber), 0) FROM MessageBoardTerget");
-                strcmd.AppendFormat(" Where RecordNumber = {0}", RecordNumber);
-
-                // SQL実行
-                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
-
-                // データセット
-                foreach (object[] objwrk in arData)
-                {
-                    if (objwrk[0].ToString().Equals(""))
-                        iRet = 0;
-                    else
-                        iRet = int.Parse(objwrk[0].ToString());
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
-            }
-
-            return iRet;
-        }
-        #endregion
-
-        #region 最大値を取得する(SeqNum)
-        /// <summary>
-        /// 最大値を取得する(SeqNum)
-        /// </summary>
-        /// <param name="AddSQLString"></param>
-        /// <param name="bConnect"></param>
-        /// <returns></returns>
-        public int SelectMaxMessageBoardTergetBranchKeyCount(int RecordNumber, int BranchNumber, bool bConnect = true)
-        {
-            // インターフェース
-            StringBuilder strcmd = new StringBuilder();
-            ArrayList arData = new ArrayList();
-            int iRet = 0;
-            try
-            {
-                // SQL作成
-                strcmd.AppendFormat("SELECT IFNULL(MAX(SeqNum), 0) FROM MessageBoardTerget{0}", CreatePrimarykeyString(RecordNumber, BranchNumber));
-
-                // SQL実行
-                if (!ExecuteReader(strcmd.ToString(), ref arData, bConnect)) return iRet;
-
-                // データセット
-                foreach (object[] objwrk in arData)
-                {
-                    if (objwrk[0].ToString().Equals(""))
-                        iRet = 0;
-                    else
-                        iRet = int.Parse(objwrk[0].ToString());
-                }
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}：{2}", CommonMotions.GetMethodName(2), ex.Message, strcmd.ToString());
-            }
-
-            return iRet;
-        }
-        #endregion
     }
 }
Index: branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 363)
+++ branches/src/ProcessManagement/ProcessManagement/DB/IOAccess/IOMessageBrowsingHistory.cs	(revision 364)
@@ -16,7 +16,7 @@
 namespace ProcessManagement.DB.IOAccess
 {
     /// <summary>
-    /// 掲示板データアクセスクラス
+    /// 掲示板履歴データアクセスクラス
     /// </summary>
     public class IOMessageBrowsingHistory : MySqlProcess
     {
@@ -381,7 +381,7 @@
         /// <param name="AddSQLString"></param>
         /// <param name="bConnect"></param>
         /// <returns></returns>
-        public int SelectMaxSeqNoCount(string AddSQLString, bool bConnect = true)
+        public int GetMaxSeqNo(string AddSQLString, bool bConnect = true)
         {
             // インターフェース
             StringBuilder strcmd = new StringBuilder();
